Product comparison · 2 network switches

Zyxel ES-108S network switch Fast Ethernet (10/100) White vs Zyxel GS1900-24 network switch Managed Gigabit Ethernet (10/100/1000) Black

Add a product
  • 5specifications compared
  • 4differ
  • 1identical
  • 26known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • ES-108S network switch Fast Ethernet (10/100) White:8
    • GS1900-24 network switch Managed Gigabit Ethernet (10/100/1000) Black:24
  • Product colour
    • ES-108S network switch Fast Ethernet (10/100) White:White
    • GS1900-24 network switch Managed Gigabit Ethernet (10/100/1000) Black:Black

Side by side

Differences highlightedShow differences only (off)
Comparison of ES-108S, GS1900-24
31 specifications
Ports & interfaces2 differ
Basic switching RJ-45 Ethernet ports quantityDiffers824
Basic switching RJ-45 Ethernet ports typeDiffersFast Ethernet (10/100)Gigabit Ethernet (10/100/1000)
Gigabit Ethernet (copper) ports quantityKnown for oneUnknown — not stated by the source24
SFP module slots quantityKnown for oneUnknown — not stated by the source2
Network1 differ
Networking standardsDiffersIEEE 802.3, IEEE 802.3u, IEEE 802.3xIEEE 802.1p, IEEE 802.3, IEEE 802.3ab, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x
Auto MDI/MDI-XKnown for oneYesUnknown — not stated by the source
Auto-sensingKnown for oneYesUnknown — not stated by the source
Flow control supportYesYes
Broadcast storm controlKnown for oneUnknown — not stated by the sourceYes
Rate limitingKnown for oneUnknown — not stated by the sourceYes
Data transmissionidentical
MAC address tableKnown for one1024 entriesUnknown — not stated by the source
Switching capacityKnown for one1.6 Gbit/sUnknown — not stated by the source
Store-and-forwardKnown for oneYesUnknown — not stated by the source
Design1 differ
Product colourDiffersWhiteBlack
LED indicatorsKnown for oneYesUnknown — not stated by the source
SafetyKnown for oneUnknown — not stated by the sourceLVD EN60950-1, BSMI CNS14336-1
Poweridentical
AC input voltageKnown for one220 VUnknown — not stated by the source
Operational conditionsidentical
Operating temperature (T-T)Known for one0 - 50 °CUnknown — not stated by the source
Operating relative humidity (H-H)Known for one10 - 90%Unknown — not stated by the source
Weight & dimensionsidentical
WidthKnown for one81 mmUnknown — not stated by the source
DepthKnown for one151 mmUnknown — not stated by the source
HeightKnown for one33 mmUnknown — not stated by the source
WeightKnown for one200 gUnknown — not stated by the source
Management featuresidentical
Switch typeKnown for oneUnknown — not stated by the sourceManaged
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
MIB supportKnown for oneUnknown — not stated by the sourceRFC 1213 MIB II, RFC 2819, RFC 1215, RFC 1493
Securityidentical
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the source802.1x RADIUS
Protocolsidentical
Management protocolsKnown for oneUnknown — not stated by the sourceSNMP v1,v2,v3, RMON (1,2,3,9)
Power over Ethernet (PoE)identical
Power over Ethernet (PoE)Known for oneUnknown — not stated by the sourceNo
Certificatesidentical
CertificationKnown for oneUnknown — not stated by the sourceRoHS CE, FCC, C-Tick, Class A (GS1900-8HP/24/24HP/48/48HP) CE, FCC, C-Tick, Class B (GS1900-8/16/24E) BSMI CNS13438

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons